---
title: "Version 0.7.0 Release"
linkTitle: "0.7.0"
date: 2022-09-22
description: >
  Monitor disk space usage, move services between volumes, expand server capacity, and more.
---

![Release banner showcasing new UI](/images/releases/0.7.0-banner.png)

## Changes:

- **Monitor disk space usage, move services between volumes, expand server capacity.**
- New redesigned server details screen.
- User management screens were redesigned too, and you are able to reset users' passwords now.
- Automatic update settings and server's timezone can be changed now.
- Initial support for SelfPrivacy API 2.0, powered by GraphQL.
- User list synchronization bugs are fixed.
- App is now able to track some types of the long-running jobs which are performed on the server itself.
- Basic support for the new API's service management.
- **Backups screen is temporarily removed, until we fix it.**
- Minor UI changes.
- Minor bug fixes, architectural changes.

## Migration to the new disk management system

We've introduced a new system to control where your services' data is stored, but an initial migration is needed.
Without it, you won't be able to move services between volumes.

**We highly encourage you to manually back up your data from the server before migrating.**

To use the new disk management features properly you have to perform the migration. 
Go to the “More” tab and tap on the “Start migration” button.
This migration is also known as “binds migration” in our internals, and you may see this term if you encounter an error related to this system. If you do, please report it to us, and we will help.

## Our own F-Droid repo, nightly builds and desktops

From now on, our app also deployed on our own F-Droid repository, allowing you to get our builds faster.

https://fdroid.selfprivacy.org

This repository contains two apps: SelfPrivacy and SelfPrivacy Nightly.
The first one contains release builds, and the second one is for development builds. They may contain bugs, but will allow you to test our new features before release.
All three Android builds (Official F-Droid, our own F-Droid and Nightly) are independent and can be installed simultaneously.

You can also try out our experimental desktop builds, available for Linux as Flatpak, Windows and macOS.
https://git.selfprivacy.org/kherel/selfprivacy.org.app/releases/tag/0.7.0
Please keep in mind that we cannot guarantee that the app will launch on your distro, and that we have not adapted our UI for desktops yet.