---
title: "Delta.Chat"
date: 2023-01-11T17:15:31+03:00
description: >
  E-mail-based messenger with end-to-end encryption
---

Messengers like Telegram, Signal, Whatsapp cannot be private due to the peculiarity of their architecture - centralization. And peer-to-peer (p2p) services like [Tox](https://tox.chat/) consume too many resources and are inconvenient to use on a mobile device. 

The best solution is to use **your** mail server for [Delta.Chat](https://delta.chat). Delta.Chat is a messenger based on the email protocol.

If your conversation partner doesn't use Delta.Chat, it will be just an ordinary email correspondence for him.

- [Official project website](https://delta.chat)


## Recommended clients
- [Official client](https://delta.chat/en/download) (GNU/Linux, Android, Windows, macOS, iOS)


## Features of Delta.Chat

- Regular email client with all the features of IM.
- Reliable end-to-end encryption (e2e), provided a personal [email server]({{< ref "email.md" >}}) is used by both interlocutors or a personal key exchange, such as via QR code.
- Can use any email server, but then you lose control over the meta-information and [risk](https://s.zholnay.name/@kirill/106351532683026396) key-swapping [man-in-the-middle attack](https://en.wikipedia.org/wiki/Man-in-the-middle_attack).
- Slightly slower than usual messengers
- First message is not encrypted because public encryption keys are sent with it.
- There are problems with sending files > 5-7MB.
- There are no convenient channels (chats for mass discussions and sending out information). We recommend using [a decentralized social network]({{< ref "pleroma.md">}}).