---
title: "Nextcloud"
date: 2023-01-11T17:08:23+03:00
description: >
  Swiss knife in the business of working together
---

Collaboration means file storage, document management, video conferencing, shared event calendars, and things like that. As a rule, people tend to trust personal life and business to third-party services. However, there is an option to keep it all on your own server. 

We choose [Nextcloud](https://nextcloud.com/) - free software for convenient scheduling and file storage.

- [Official project website](https://nextcloud.com/)


# Authentication

When creating a server, `admin` Nextcloud user is created with the password you've used for
your primary user.

To add new users, go to the user administration panel, on the web interface of your Nextcloud.

## Recommended clients

- WEB interface: available after SelfPrivacy server configuration, at `https://cloud.YOUR.DOMAIN`
- [Official application](https://nextcloud.com/install/#install-clients) (GNU/Linux, Windows, macOS, Android, iOS)


## How to reset the admin password

To follow the steps below, you'll need to connect to the server via SSH with administrative rights. A basic understanding of the command line is beneficial ;)

For detailed connection instructions, [click here](https://selfprivacy.org/docs/how-to-guides/root_ssh/). 


After connecting, enter the following command:

```nextcloud-occ user:resetpassword admin```

You will prompted for a new password, the characters will be hidden.


## FAQ

### Nextcloud Updater does not work
It's fine, it should be. Nextcloud is updated via NixOS, and depends on our NixOS repository. Everything happens without your intervention.

### Why can't I use my Nextcloud in third-party services?
This can happen if the third-party service has a restriction to only connect to a specific Nextcloud instance.

### Should I use an extension to encrypt my Nextcloud?
We do not recommend it. The encryption keys are stored on the server, which makes such encryption practically useless. 
