---
categories: ["Tutorials"]
tags: [] 
title: "Начало работы"
linkTitle: "Начало работы"
weight: 1
description: >
  Как установить и настроить сервер SelfPrivacy?
---

Сервер SelfPrivacy создается поэтапно в течение часа.
Звучит страшно, но уверяю, учёная степень не понадобится. Процесс не сложнее покупки в интернет-магазине.

*   Поиск паспорта и карты с балансом $10-15 и $5 в месяц
*   Регистрация учётных записей
*   Покупка домена
*   Подключение домена к DNS серверу
*   Создание токенов
*   Установка
*   Подключение к сервисам

**Если поручите кому-нибудь эту задачу — лишитесь приватности.**
Для 100% независимости и контроля необходимо делать всё самостоятельно.

## Регистрация учётных записей

Для устойчивости и SelfPrivacy требует много учётных записей.
Мы не будем доверять все данные одной компании, лучше распределить части системы по разным местам

{{% alert title="Защита учётных записей" color="warning" %}}
**Системы взламывают через самое слабое звено.**
Чтобы учётные записи не были таким звеном, пароли должны быть разными для каждой учетной записи и сложными.
```MamaMilaRamu```, как ни странно, плохой пароль. Пример хорошего пароля - это парольная фраза:

```expert repose postwar anytime glimpse freestyle liability effects```

или

```}Rj;EtG:,M!bc4/|```

Как такой пароль запомнить? Никак!
Пароли не нужно запоминать, их надо создавать и хранить в [менеджере паролей](https://keepassxc.org/download/).
Хотя один помнить придётся — пароль от менеджера паролей.

{{% /alert %}}

### Регистрируемся:
*   [Hetzner](https://www.hetzner.com) или [DigitalOcean](https://www.digitalocean.com) — хостинги виртуальных серверов.
Какой выберете, в том и будут жить ваши данные и сервисы SelfPrivacy.
*   [NameCheap](https://www.namecheap.com/), [Porkbun](https://porkbun.com) или любой другой регистратор,
* для покупки личного адреса в интернете — домена, который будет указывать на сервер.
*   [deSEC](https://desec.io/) или [CloudFlare](https://cloudflare.com) (не рекомендуем) — DNS сервер, где работает ваш домен.
*   [Backblaze](https://www.backblaze.com/) — IaaS провайдер, для хранения резервных копий ваших данных
в зашифрованном виде.

Регистрация заурядна, но иногда проверка учётной записи длится несколько дней или требует дополнительных документов.
Поэтому используйте настоящие документы и заполняйте всё аккуратно.
Провайдеры так защищаются от спамеров, ничего личного)

**Обязательно включите дополнительную защиту учётных записей — второй фактор (MFA, 2FA).**
Без этого простого шага ваши данные не будут в безопасности.

Я знаю, было сложно, но теперь ваши данные защищены лучше, чем у 95% пользователей.
Можете собой гордиться! Я вот вами уже горжусь 🤗

## Покупка домена

Включили второй фактор? Я серьёзно! Тогда переходим к интересному!


**_Домен_ — это кусочек интернета, которому вы даёте имя.**
Простор для творчества огромен, у вас есть 63 символа + .com .org .icu и еще несколько сотен доменов после точки.
Можно выбрать просто по фамилии, например *ivanov.live* или *ivanov.health*,
а можно и что-то творческое — *shit-happens.shop*

### Рекомендации:
*   **Обязательно смотреть на цену ежегодного продления,** она может в разы превышать стоимость покупки.
*   **Нормальная цена домена $8-10 в год.**
*   **При регистрации домена обязательно указывать реальные почту и телефон, иначе регистрацию могут аннулировать.** И если вы не сможете продлить домен, система не будет работать так, как задумано.
*   Выбирайте хорошее имя, которое удобно и по телефону диктовать, и на деловой визитке указать.
*   **Я уже говорил про второй фактор?**

## Подключение домена к DNS серверу

После покупки, домен добавляем в CloudFlare:

![gif](/images/screencasts/add-domain-to-cf.gif)

На примере домена ruleit.stream мы выбрали бесплатный тариф и получили имена серверов: **gail.ns.cloudflare.com**
и **mattns.cloudflare.com**, которые надо прописать у своего регистратора. В нашем случае NameCheap:

![gif](/images/screencasts/nc-to-cf.gif)

Заодно проверяем, что у нас включено автопродление и защита персональных данных — WhoisGuard.
Через несколько минут или, в худшем случае, до двух суток настройки применятся.


## Создание токенов

**_API ключи_ — это почти то же самое, что и логин с паролем, только для программы, а не человека.**
Мобильное приложение SelfPrivacy с их помощью управляет сервисами во всех учётных записях вместо вас. Удобно!

Нам не нужен токен для регистратора домена. Но нам понадобится токен DNS провайдера, чтобы управлять доменомом. 

SelfPrivacy поддерживает двух провайдеров на выбор: популярный [Cloudflare](https://www.cloudflare.com/) и нацеленный на приватность [deSEC](https://desec.io/).

{{< tabpane text=true >}}
  {{% tab "deSEC" %}}
### Если вы выбрали deSEC: Как получить токен

1. Авторизуемся в [deSEC](https://desec.io/login)
  
2. Переходим на страницу [Domains](https://desec.io/domains)

3. Переходим на вкладку **Token management**.

4. Нажимаем на большую кнопку с "плюсом" в правом верхнем углу страницы.

{{< imgproc desec-tokenmanagment Fill "626x287" />}}


5. Должен был появиться "**Generate New Token**" диалог. Вводим любое имя токена в **Token name**. 
*Advanced settings* необязательны, так что ничего там не трогаем.

6. Кликаем **Save**.

7. Обязательно сохраняем "**secret value**" ключ токена, потому что он отображается исключительно один раз.

{{< imgproc dncsec-copy Fill "626x287" />}}


8. Теперь спокойно закрываем диалог, нажав **close**.

{{% /tab %}}

  {{% tab "Cloudflare" %}}

### Если вы выбрали Cloudflare: Как получить токен

{{< video src="Cloudflare" muted="true" autoplay="true" autoplay="true" loop="true" >}}


1. Переходим по [ссылке](https://dash.cloudflare.com/) и авторизуемся в ранее созданном аккаунте. 

2. В правом верхнем углу кликаем на иконку профиля (для мобильной версии сайта: в верхнем левом углу нажимаем
кнопку **Меню** с тремя горизонтальными полосками). В выпавшем меню кликаем на пункт **My Profile**.

{{< imgproc cloudflare-my-profile Fill "626x287" />}}


3. Нам предлагается на выбор, четыре категории настройки: **Preferences**, **Authentication**, **API Tokens**,
**Sessions**. Выбираем **API Tokens**.

4. Самым первым пунктом видим кнопку **Create Token**. С полной уверенностью в себе и желанием обрести приватность,
нажимаем на неё.

5. Спускаемся в самый низ и видим поле **Create Custom Token** и кнопку **Get Started** с правой стороны. Нажимаем.

6. В поле **Token Name** даём своему токену имя.
Можете покреативить и отнестись к этому как к наименованию домашнего зверька :)

7. Далее, у нас **Permissions**. В первом поле выбираем **Zone**.
Во втором поле, по центру, выбираем **DNS**. В последнем поле выбираем **Edit**.

8. Нажимаем на синюю надпись снизу **+ Add more** (сразу же под левым полем которое мы заполняли ранее).
Вуаля, у нас появились новые поля. Заполняем по аналогии с предыдущим пунктом,
в первом поле выбираем **Zone**, во-втором тоже **Zone**. А уже в третьем нажимаем на **Read**.
Давайте сверим с тем, что у вас получилось:

{{< imgproc cloudflare-permissions Fill "628x203" />}}
Ваш выбор должен выглядеть так.


8. Далее смотрим на **Zone Resources**. Под этой надписью есть строка с двумя полями.
В первом должно быть **Include**, а во втором — **Specific Zone**. Как только Вы выберите **Specific Zone**,
справа появится ещё одно поле. В нём выбираем наш домен.

9. Листаем в самый низ и нажимаем на синюю кнопку **Continue to Summary**.

10. Проверяем, всё ли мы правильно выбрали. Должна присутствовать подобная строка: ваш.домен — **DNS:Edit, Zone:Read**.

11. Нажимаем **Create Token**.

12. Копируем созданный токен.

{{% /tab %}}
{{< /tabpane >}}

### Как получить токен для провайдера сервера
{{< alert title="Не держите яйца в одной корзине" color="warning" >}}
Если вы планируете использовать DigitalOcean и для сервера, и для DNS (что мы не рекомендуем),
то вам **необходимо будет создать отдельный проект для DNS записей**.

DigitalOcean предоставляет только токены которые дают полный доступ ко всему в проекте.
Токен для сервера остаётся на вашем устройстве, однако токен для DNS записей будет отправлен на ваш новый сервер.
Если токен для DNS будет иметь доступ к самому серверу, в случае его взлома, злоумышленник сможет уничтожить сам сервер.
{{< /alert >}}
{{< tabpane text=true >}}

  {{% tab "Hetzner" %}}
![gif](/images/screencasts/Hetzner.gif)

1. Переходим по [ссылке](https://console.hetzner.cloud/) и авторизуемся в ранее созданном аккаунте.

2. Заходим в созданный нами проект. Если такового нет — значит создаём.

3. *Наводим мышкой на боковую панель.* Она должна раскрыться, показав нам пункты меню. Нас интересует последний — **Security** (с иконкой ключика).

4. Далее, в верхней части интерфейса видим примерно такой список: **SSH KEYS, API TOKENS, CERTIFICATES, MEMBERS.** Нам нужен **API TOKENS**. Переходим по нему.

5. По середине в интерфейсе, нас будет ожидать кнопка **GENERATE API TOKEN**. Нажимаем на эту кнопку.

6. В поле **Description** даём нашему токену название (это может быть любое название, которое Вам нравится, сути оно не меняет).

7. Под полем **Description** видим возможность выбрать разрешения **PERMISSIONS**. Выбираем **Read & Write**.

8. Нажимаем **GENERATE API TOKEN**.

9. После этого, появиться окно с вашим токеном.

{{% /tab %}}

  {{% tab "DigitalOcean" %}}

{{< video src="do" muted="true" autoplay="true" autoplay="true" loop="true" >}}

1. Перейдите по [ссылке](https://cloud.digitalocean.com/account/) и войдите в ранее созданный аккаунт.

2. В левом меню перейдите на страницу **API** - последний пункт в самом низу.

3. Нажмите **Generate New Token** в меню **Personal Access Tokens**.

4. То что нужно, **копируем**.

{{% /tab %}}

{{< /tabpane >}}


## Как получить токен Backblaze

{{< video src="Backblaze" muted="true" autoplay="true" autoplay="true" loop="true" >}}

1. Переходим по [ссылке](https://secure.backblaze.com/user_overview.htm) и авторизуемся в ранее созданном аккаунте.

2. В левой части интерфейса выбираем **App Keys** в подкатегории **Account**

3. Нажимаем на синюю кнопку **Generate New Master Application Key**

4. Во всплывающем окне подтверждаем генерацию

5. Копируем **keyID** и **applicationKey** 

---

🎉 Поздравляю! Теперь вы готовы использовать приватные сервисы. Не забудьте сохранить токены в безопасном месте.
