---
title: "Как сменить dns провайдера на deSEC"
linkTitle: "Смена провайдера на deSEC"
weight: 2
date: 2023-10-21
description: >
    Для тех кто хочет сменить своего dns провайдера уже после установки сервера.
categories: ["How-To Guides"]
---


Мы рекомендуем использовать [deSEC](https://desec.io/) вместо [CloudFlare](https://cloudflare.com/). DeSEC нацелен на приватность. 

Если вы сначала привязали ваш домен к CloudFlare и теперь хотите сменить провайдера, эта статья для вас.

Внимание, процесс довольно сложен, и если вы чувствуете, что что-то идет не так, можете смело [писать нам в чат](https://selfprivacy.org/ru/docs/faq/#%D0%BA%D0%B0%D0%BA-%D0%BF%D0%BE%D0%BB%D1%83%D1%87%D0%B8%D1%82%D1%8C-%D0%BF%D0%BE%D0%BC%D0%BE%D1%89%D1%8C).

## Переносим сервер имен (nameserver)
Сервер имен — это сервер который переводит ваш домен (буквы) в IP-адрес сервера (цифры).

1. Регистрируемся в [deSEC](https://desec.io/).

2. На [странице "domains"](https://desec.io/domains) нажимаем на кнопку "плюс".


{{< imgproc desec1 Fill "626x287" />}}


3. Вводим свой домен.

4. Копируем "nameservers".

{{< imgproc desec2 Fill "626x287" />}}


Теперь переходим на сайт провайдера, у которого вы покупали домен.
Действия будут схожи для всех провайдеров, мы будем показывать на примере [Namecheap](https://www.namecheap.com/). 

1. Переходим в панель управления вашим доменом.


2. Находим там параметр "Authoritative nameservers".

{{< imgproc namechip1 Fill "626x287" />}}

3. Заменяем текущие адреса на те, что мы скопировали из deSEC в инструкции ранее.

4. Сохраняем изменения.

{{< imgproc namechip3 Fill "626x287" />}}

---

## Получаем токен deSEC

1. Авторизуемся в [deSEC](https://desec.io/login)
  
2. Переходим на страницу [Domains](https://desec.io/domains)

3. Переходим на вкладку **Token management**.

4. Нажимаем на большую кнопку с "плюсом" в правом верхнем углу страницы.

{{< imgproc desec-tokenmanagment Fill "626x287" />}}


5. Должен появиться диалог "**Generate New Token**". Вводим любое имя токена в **Token name**. 
*Advanced settings* необязательны, так что ничего там не трогаем.

6. Кликаем **Save**.

7. Обязательно сохраняем "**secret value**" ключ токена, потому что он отображается исключительно один раз.

{{< imgproc dncsec-copy Fill "626x287" />}}


---

## Подключение к серверу

Изменение записи домена может занимать до двух дней, так что рекомендуем вам подождать обновление записей, перед следующими действиями. Иначе ваши сервисы временно перестанут быть доступны.

Понять, что запись обновилась, вы сможете через приложение, либо перейдя по ссылке на один из ваших сервисов (вы увидите ошибку подключения).

Но помните, вы не сможете больше обращаться к вашему серверу по домену, вам нужно будет знать IP-адрес сервера. Его можно узнать, к примеру, в панеле хостер провайдера.

Для следующих действий вам нужно будет подключиться по ssh к серверу с правами администратора. Минимальное понимание работы командной строки приветствуется ;)

Инструкцию по подключению вы сможете [прочитать тут](http://localhost:1313/ru/docs/how-to-guides/root_ssh/). 


После подключения к серверу вводим:

```
nano /etc/nixos/userdata/userdata.json
```

Вы оказались в терминальном тектовом редакторе под названием "nano". 

Вы редактируете файл ```/etc/nixos/userdata/userdata.json```, и можете использовать стрелочки для перемещения.

Находим в файле такие строчки:

```
"dns": {
    "provider": "CLOUDFLARE",
    "apiKey": "Тут будет много букв и цифр, это ваш токен"
},

```

Заменяем:

```"provider": "CLOUDFLARE",```

на 

```"provider": "DESEC",```


Теперь на следующей строчке убираем ваш старый токен от CloudFlare и вставляем скопированный токен от deSEC. 
(Если CTRL+V не работает, попробуйте SHIFT+CTRL+V)

```"apiKey": "Сюда ваш токен",```

Должно получиться так: 

```
"dns": {
        "provider": "DESEC",
        "apiKey": "Ваш токен от deSEC",
    },
```

Теперь нажимаем CTRL+X, после клавишу Y. 

Если файл сохранился и вы успешно вышли из тектового редактора, вводим команду:
```
nixos-rebuild switch 
```

Она пересоберет вашу серверную систему с новыми параметрами.

После выполнения команды можно смело закрывать консоль.


---

## Перенос записей


Входим сразу в [CloudFlare](https://cloudflare.com/) и в [deSEC](https://desec.io/).


#### В интерфейсе deSEC
По [ссылке](https://desec.io/), в панели "Domain Managment" нажмите на ваш домен.

{{< imgproc howtodesec1 Fill "600x350" />}}

Теперь вы можете добавлять к нему новые записи, с помощью кнопки "Плюс".

{{< imgproc howtodesec2 Fill "600x350" />}}


##### В интерфейсе CloudFlare
По [ссылке](https://cloudflare.com/), переходим в настройки вашего домена, который находится в разделе "Websites".

Выбираем ваш домен.

{{< imgproc howcloudflare2 Fill "363x442" />}}

Теперь переходим в "DNS", далее "Records".

{{< imgproc howcloudflare Fill "363x442" />}}


#### Первая запись: api
Орентируясь на пример с скриншота переносим ваши параметры "api" (смотрите на столбик "Name") записи в соответвии с их цветами.

{{< imgproc replace1 Fill "1544x755" />}}

На скриншоте слева — deSEC, а справа Сloudflare. Вам нужно последовательно перенести каждый параметр данной записи. 

#### Вторая запись: корневая

Создаём новую запись типа "А", в "IPv4 address" пишем ваш адрес сервера, вы уже писали его в поле "Content" предыдущей записи.


**Все записи переносить не надо!** Вы создали две записи, а третья уже была создана за вас. Давайте проверим, что у нас получилось.

{{< imgproc replace2 Fill "1250x830" />}}

---

## Перенастраиваем приложение

Для правильной работы вам придется сбросить конфиг приложения. **Не забудьте создать ключ восстановления и сохранить его в безопасном месте (менеджере паролей).**.

Как сбросить приложение:

Переходим в "Настройки приложения".

{{< imgproc app1 Fill "590x1221" />}}


Нажимаем "Сбросить конфиг приложения".

{{< imgproc app2 Fill "585x700" />}}


Теперь переходим в раздел "Мастер установки", где вы настраивали свой сервер, когда в первый раз запускали приложение.

{{< imgproc app3 Fill "590x1221" />}}

Нажимаем "Подключиться к существующему серверу SelfPrivacy".

(В старых версиях приложения кнопка может называться "Подключиться к уже существующему серверу").

{{< imgproc app4 Fill "590x1221" />}}

Далее следуем указаниям в приложении и вводим ключ восстановления или код с другого устройства, где установлено приложение SelfPrivacy.

После установки вы увидите некоторые проблемы с Доменом и DNS. Приложение предложит вам исправить их. Соглашаемся.

{{< imgproc app5 Fill "590x1221" />}}


{{< imgproc app6 Fill "590x500" />}}

**Поздравляем! Вы успешно сменили доменного провайдера. Рекомендуем вам проверить, что все сервисы работают корректно.**