---
title: "E-mail"
date: 2023-01-11T17:10:29+03:00
description: >
  Свой почтовый сервер
---

E-mail — проверенный временем протокол, не нуждается в представлении. Личный почтовый сервер обеспечит особую приватность всей корреспонденции и пригодится при регистрации в онлайн-сервисах и личных переписках, в особенности для [Delta Chat]({{< ref "delta-chat.md" >}}).

## Аутентификация

Используются пользователи из вкладки "пользователи" вашего приложения.

### Конфигурация подключения

Логин должен содержать имя пользователя с доменом. Например, `user@domain.tld`.

#### SMTP

SMTP Server: `your domain`

SMTP порт: `587`

Тип подключения: `STARTLS`

Юзернейм: `your username @ your domain` (ваш полный адрес электронной почты)

#### IMAP

IMAP Server: `your domain`

IMAP порт: `143`

Тип подключения: `STARTLS`

Юзернейм: `your username @ your domain` (ваш полный адрес электронной почты)

## Рекомендуемые E-mail клиенты

- [Mozilla Thunderbird](https://www.thunderbird.net) (GNU/Linux, Windows, MacOS)
- [FairEmail](https://f-droid.org/packages/eu.faircode.email/) (Android)

Пример конфигурации для [Mozilla Thunderbird](https://www.thunderbird.net)
{{< imgproc thunderbird Fill "1000x950" />}}

## Что используем для электронной почты?

На развернутом сервере следующие компоненты отвечают за отправку, получение и фильтрацию электронной почты:

- Postfix — SMTP-сервер;
- Dovecot 2 — IMAP сервер;
- Rspamd — SPAM-фильтр;

## Советы

### Алиасы (псевдонимы) для адресов

Используйте псевдонимы для сомнительных услуг или одноразовых потребностей.

Сообщения для `user+alias@domain.com` придут на адрес `user@domain.com`. Может быть полезно для анализа происхождения спама, если для каждого онлайн-сервиса при регистрации будет использован уникальный алиас.
Например, `bank+user@domain.com`, `cryptoexchenge+user@domain.com` и так далее.

### Фильтр каталогов

Создайте каталоги фильтров для различных целей. Это поможет защититься от фишинга и засорения вашего почтового ящика.
Сообщение для `user-dir@domain.com` создаст директорию `dir` в почтовом ящике `user@domain.com`, и вся почта будет приходить в директорию `dir`.

Примеры каталогов:

- `user-w@domain.com` — для регистрации в веб-сервисах
- `user-shops` — для веб-магазинов
- `user-pay` — платежные системы
- `user-forum` — уведомления о форумах

## Особенности

- Электронная почта старше 50 лет. В IT это признак зрелости и надежности технологии.
- Электронная почта — самый популярный способ заражения вирусами (после взломанного программного обеспечения и кряков).
- Остерегайтесь фишинга (мошеннических писем), он может лишить вас сбережений и контроля над вашей цифровой жизнью.

## Не работает отправка писем

Отправка почты может быть заблокированна вашим провайдером.

Hetner [отвечает](https://docs.hetzner.com/cloud/servers/faq/#why-can-i-not-send-any-mails-from-my-server) что они действительно блокируют отправку электронных писем для новых аккаунтов. После месяца работы сервера и первого успешного платежа Hetzner просит связаться с поддержкой для выяснения причин использования электронной почты. Вы можете сослаться на использование почты для общения с пользователями ваших сервисов.

С DigitalOcean подобной проблемы замечано не было, но если с вами такое случилось, постарайтесь связаться с поддержкой хостинга.
